Download it now!
Bug 103301 - Filter textbox should auto-focus when opening cross-reference dialog
Summary: Filter textbox should auto-focus when opening cross-reference dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Fields-Dialog
  Show dependency treegraph
 
Reported: 2016-10-17 18:45 UTC by Philipp Kewisch [:Fallen]
Modified: 2019-03-18 20:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Kewisch [:Fallen] 2016-10-17 18:45:54 UTC
When opening the cross-reference dialog on a large document, it is a pain to find the exact one via scrolling. The "Filter Selection" textbox helps a lot.

It would be great if you could make that textbox auto-focus when the cross-references dialog is opened. This way, I can assign a keyboard shortcut to opening the dialog, then directly type the text.

Bonus points for making arrow up and arrow down automatically switch focus from the textbox to the selection list.

Implementing all of this reduces the number of extra keys pressed and would make inserting references a breeze.

This is somewhat related to bug 57174, but given no selecting needs to be done it may be separate.
Comment 1 Buovjaga 2016-11-01 19:16:20 UTC
Sounds useful -> NEW.
Comment 2 Commit Notification 2019-03-17 21:02:18 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a7cd6e6b6cfac65e4d28e5ad587e764b65eeefeb%5E%21

tdf#103301 Set focus to the filter textbox

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Roman Kuznetsov 2019-03-18 20:45:29 UTC
verified in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: de024e572dd7a588f82b84c68daa2051ec6b20e9
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-18_01:13:57
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded